Subject: bug#29095: Bug: The '20a09de953f437109a098fa8c4d380663d921481' merge increased my Emacs configuration loading time from 9 s to 60 s

From: martin rudalics <[email-masked]>
Date: Sun, 05 Nov 2017 11:53:24 +0100

> Perhaps the thing to do is simply to disable x-wait-for-event-timeout if
 > we end up hitting the timeout.  Under most window managers the frame
 > becomes visible much faster than 100ms anyway, as far as I know.

If and when we do that, we should also warn and inform the user.  And we
probably should collect information about those window managers that are
not able to inform us in due time that the frame has become visible.

And maybe we're also still missing one or the other case where we could
set the visibility of the frame.  Alexander, can you try using the
debugger to see if Emacs receives any events that OT1H do not call
SET_FRAME_VISIBLE (f, 1) but OTOH still qualify as ones that make sense
only if the frame is visible?  I know it's a vague question but this is
primarily a timing issue and as such rather subtle.

martin